## mirrorrib 0.14.4.2

=== Makefile ===
# The mirrorrib(1) program consists of a collection of shell scripts, so
# there is nothing to build for the program as such. However, some files
# the program or its user uses want building or configuration, as for
# example localization message catalogs. This Makefile builds and
# configures such files.
.DEFAULT_GOAL := all
.PHONY: all mo clean
SHELL := /bin/bash
.SHELLFLAGS := -efuc
etc/mirrorrib.conf: etc/mirrorrib.conft ./build.conf
	. ./build.conf && sed -r <$< >$@ \
	-e "s/^([^#=]*=)PARAMETER_VERSION\\s*$$/\\1$${VERSION}/;t;" \
	-e "s/^([^#=]*=)PARAMETER_VERDATE\\s*$$/\\1$${VERDATE}/;t;" \
	-e "s/^([^#=]*=)PARAMETER_VERTIME\\s*$$/\\1$${VERTIME}/;t;"
usr/share/mirrorrib/backstops/backstop.conf: etc/mirrorrib.conf
	sed -rn >$@ 's/\s*#.*$$//;/\S/p' $^
usr/share/man/man1/mirrorrib.1: usr/share/man/man1/mirrorrib.1t \
 etc/mirrorrib.conf
	. etc/mirrorrib.conf && DOC_MANPAGE_REVDATE=$$( \
	    echo "$$VERDATE" | sed -r 's/^(....)(..)(.*)$$/\1-\2-\3/' \
	) \
	&& sed -r <$< >$@ \
	-e "/\\.r([^a-z]|$$)/d" \
	-e "s/(\\.)x([^a-z]|$$)/\\1$${DOC_OLD_MINOR_VER}\\2/g" \
	-e "s/(\\.)y([^a-z]|$$)/\\1$${DOC_NEW_MINOR_VER}\\2/g" \
	-e "s/PARAMETER_REPOSITORY_SIZE/$${DOC_NEW_REPOS_SIZE}/g" \
	-e "s/PARAMETER_REVISION_DATE/$${DOC_MANPAGE_REVDATE}/g" \
	-e "s/PARAMETER_REVISION_NUMBER/$${VERSION}/g"
usr/share/locale/%/LC_MESSAGES/mirrorrib.mo: po/%.po
	mkdir -pv -- $(dir $@)
	msgfmt -cv --statistics -L Shell -o $@ -- $<
mo: $(patsubst\
 po/%.po,usr/share/locale/%/LC_MESSAGES/mirrorrib.mo,$(wildcard po/*.po))
all: etc/mirrorrib.conf usr/share/mirrorrib/backstops/backstop.conf \
 usr/share/man/man1/mirrorrib.1 mo
clean:
	rm -rfv -- \
	etc/mirrorrib.conf \
	usr/share/mirrorrib/backstops/backstop.conf \
	usr/share/man/man1/mirrorrib.1 \
	usr/share/locale

=== debian/changelog ===
mirrorrib (0.14.4.2) experimental; urgency=low

  * FTP Master having autorejected (0.14.4.1) with the
    message, "Source-only uploads to NEW are not allowed," re-uploaded
    with source.
  * Following the Release Team's advice in
    [https://lists.debian.org/debian-devel-announce/2019/07/msg00002.html],
    switched the upload from unstable to experimental.

 -- Thaddeus H. Black <thb@debian.org>  Sat, 04 Sep 2021 12:00:00 +0000

mirrorrib (0.14.4.1) unstable; urgency=low

  * Uploaded to sid (closes: #993486).
  * Observed that despite the previous version's changelog, the
    previous version, (0.14.4), was not actually uploaded -- the reason
    being that the previous version did not close the associated WNPP
    report, whereas this version's changelog does close it.
  * Observed that the package has not otherwise changed since
    version (0.14.3).
  * Observed that the package is backportable without modification
    to bullseye, for it builds and runs on a bullseye machine as well
    as it does on a sid or bookworm machine.
  * Observed that, as of this date, Lintian is still
    checking Standards-Version 4.5.1.  Therefore, in debian/control,
    have not yet claimed to conform to Standards-Version 4.6.0.
    (Nevertheless, the maintainer has manually checked, having reviewed
    the changes between debian-policy 4.5.1 and debian-policy 4.6.0.
    Those changes do not affect this package; so, inasmuch as the
    existing Lintian finds nothing in the package about which to
    complain with respect to Standards-Version 4.5.1, one may
    reasonably safely assume that the package conforms
    to Standards-Version 4.6.0, as well.)
  * Observed that the package includes three overrides of the Lintian
    tag package-contains-documentation-outside-usr-share-doc, of info
    severity.  The Lintian tag in question advises, with respect to a
    documentation file outside /usr/share/doc/, "If this file does
    describe the contents or purpose of the directory it is in, please
    add a lintian override."  The files to which the three overrides
    apply are READMEs that do indeed describe the contents or purpose
    of the directories they are in.  The package includes the overrides
    for this reason.  (The matter is mentioned
    because [https://ftp-master.debian.org/REJECT-FAQ.html]
    requests it.)

 -- Thaddeus H. Black <thb@debian.org>  Sat, 04 Sep 2021 00:00:00 +0000

mirrorrib (0.14.4) unstable; urgency=low

  * Released for the first time, uploading to sid.

 -- Thaddeus H. Black <thb@debian.org>  Wed, 01 Sep 2021 00:00:00 +0000

mirrorrib (0.14.3) experimental; urgency=none

  * Made the package's short description a noun phrase, thereby
    conforming to best Debian practice.
  * Did not release.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 31 Aug 2021 18:00:00 +0000

mirrorrib (0.14.2) experimental; urgency=none

  * Corrected the helper debian/dev/switch-standards-version so that it
    can reliably find its associated data list.
  * Corrected some misspellings in the changelogs for
    versions (0.14.0) and (0.14.1) below.
  * Did not release.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 31 Aug 2021 12:00:00 +0000

mirrorrib (0.14.1) experimental; urgency=none

  * Added the new helper debian/dev/switch-standards-version and its
    associated data list.
  * Conformed to Standards-Version 4.5.1.
  * Deleted debian/compat and instead
    added Build-Depends: debhelper-compat to debian/control.
  * Added Build-Requires-Root: no to debian/control.
  * In usr/share/mirrorrib/scripts/40phase-cd.bash, corrected the
    handling of lines of
    usr/share/mirrorrib/lists/nodes-to-prefetch.list that begin with
    a colon : flag.
  * Deleted a stray trailing space in the changelog for
    version (0.14.0).
  * Improved the software and its packaging in further, minor ways.
  * Did not release.

 -- Thaddeus H. Black <thb@debian.org>  Tue, 31 Aug 2021 00:00:00 +0000

mirrorrib (0.14.0) experimental; urgency=none

  * Tested the program for the first time to fetch an actual,
    stable Debian 11 bullseye release.  Learned that mirrorrib 0.13
    fails to fetch the release's minor version 0 because, though
    dists/Debian11.0/main/installer-amd64/20210731/ exists in the
    archive for the release's minor version 0,
    dists/Debian11.0/main/installer-amd64/20210731+deb11u0/ does not.
    (As far as the maintainer knows, this should be a problem only for
    the release's minor version 0; but when the release's minor
    version 1 arrives, that will be seen.)
  * Fixed the bug the last item explains by extending
    usr/share/mirrorrib/scripts/40phase-cd.bash to recognize a
    prepended ':' in usr/share/mirrorrib/lists/nodes-to-prefetch.list
    to mean that the item so marked is to be skipped for minor
    version 0.  Also, prepended the ':' where appropriate in the list.
  * Verified that the bookworm distribution, now testing, appears at
    least for now to have the same archive structure as the bullseye
    distribution, now stable.
  * In various files, graduated Debian 10 buster to Debian 11 bullseye
    to Debian 12 bookworm to Debian 13 trixie.  That is, where the
    software and its documentation used before bullseye's release to
    refer to buster, let them refer instead to bullseye; and where they
    used to refer to bullseye, let them refer instead to bookworm, and
    so on.
  * Struck MD5SUMS and SHA1SUMS from
    usr/share/mirrorrib/lists/files-to-fetch-from-debian-cd.list
    because Debian's Images Team no longer issues those checksums.
  * In etc/mirrorrib.conft, commented Debian bullseye
    as "supported" (which should have been done during Mirrorrib's 0.13
    era but was overlooked).
  * In the manual page:
    + Revised the page to bring it into the new, stable bullseye era,
      replacing most citations of Debian version 10 with 11 and
      of Debian buster with bullseye, especially in the
      page's examples.


=== debian/control ===
Source: mirrorrib
Section: net
Priority: optional
Maintainer: Thaddeus H. Black <thb@debian.org>
Build-Depends: debhelper (>= 13), debhelper-compat (= 13),
 bash-completion (>= 1:2.8), gettext (>= 0.19.8)
Standards-Version: 4.5.1
Rules-Requires-Root: no

Package: mirrorrib
Architecture: all
Depends: rsync (>= 3.1.3), wget (>= 1.20.1), bzip2 (>= 1.0.6),
 xz-utils (>= 5.2.4), ca-certificates (>= 20190110),
 gettext-base (>= 0.19.8), ${misc:Depends}
Description: tool locally to mirror a Debian release, including backports
 Debian releases a major revision of its operating system about every
 two years and a minor revision approximately quarterly, but these
 revisions exclude Debian backports.  Debian releases backports only on
 a rolling basis like sid.
 .
 Mirrorrib is for Debian users who want an approximately quarterly,
 stable revision of backports to accompany the approximately quarterly,
 stable revision of the rest of the operating system -- with both
 revisions dated as of the same date.
 .
 Mirrorrib reproducibly assembles a stable backports revision and
 release to accompany a stable regular revision and release.  It
 downloads the matched pair of releases with all their packages and
 associated files, mirroring the pair together to your hard drive.
 After running Mirrorrib and configuring /etc/apt/sources.list to
 access the local repository Mirrorrib has assembled, one no longer
 needs a live network connection to update or reinstall one's system to
 Debian stable -- not even if the update or reinstallation requires
 access to backports.
 .
 Mirrorrib's name stands for "MIRROR Release Including Backports."

=== debian/rules ===
#!/usr/bin/make -f
SHELL := /bin/bash
.SHELLFLAGS := -efuc
debian/README: debian/README.t build.conf
	. ./build.conf && RDATE=$$(date -uRd"$$VERDATE $$VERTIME") \
	&& sed -r <$< >$@ \
	-e "s/^( -- (\\S ?)*\\S  )PARAMETER_RDATE\s*$$/\\1$${RDATE}/"
override_dh_installdocs: debian/README
	dh_installdocs
override_dh_install:
	for A in $$(find \
	    etc/mirrorrib.conf \
	    usr/bin \
	    usr/share/mirrorrib \
	    usr/share/locale \
	    -type f \
	); do \
	    dh_install "$$A" "$$(dirname -- "$$A")"; \
	done
override_dh_clean:
	rm -fv debian/README
	dh_clean
%:
	dh $@ --with bash-completion
